OnTextInput The user has just entered some text in the text input
Parameters

    $0 = Text

Window
window in that the text is entered
Description

Triggered when the user enters some text in the text input window and presses return. Calling halt will stop the automatic text processing and the result depends on the window the text is typed in. In channel/query and console windows the text will not be sent to the IRC server. This event might be useful for performing substitutions in the text sent to the server. If you stop the text processing in a channel or query window then the local echo of the message will be omitted too. You might want to realize the echo by the means of the echoprivmsg command. This event is not triggered when the user enters a command in the input window.

See also
echoprivmsg

Index, Events